%define rname	dictionary_switcher
%define rver	1.0
%define version %rver
%define release alt2
%define cid 	dictionary-switcher@design-noir.de
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Toggles between the installed dictionaries	

License:	GPL
Group:		Networking/WWW
URL:		http://en.design-noir.de/mozilla/dictionary-switcher/

Packager:	LAKostis <lakostis at altlinux.ru>
Source0:	%rname-%rver-fx.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox unzip

%description 	
Toggles between the installed dictionaries automatically or manually and
displays the currently selected dictionary in the status bar.

%prep
%setup -cT
%__unzip %SOURCE0

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
%__subst 's|3.1a1pre|3.6a1pre|' %buildroot/%ciddir/install.rdf

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Fri Apr 24 2009 L.A. Kostis <lakostis@altlinux.ru> 1.0-alt2
- Fix for new Firefox numbering.

* Sun Nov 16 2008 L.A. Kostis <lakostis@altlinux.ru> 1.0-alt1
- initial build for ALTLinux.

